/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.relation.s3pkcomp;

/**
 * @author H.Joanin
 */
public class Pk implements java.io.Serializable 
{
    
    public Integer id;
 

    public Pk() {
    }

    public Pk(int i)
    {
	this(new Integer(i));
    }

    public Pk(Integer i) {
	this.id = i;
    }

    public boolean equals(Object other) 
    {
	if (other == null) {
	    return false;
	}
	if (other == this) {
	    return true;
	}
	if (!(other instanceof Pk)) {
	    return false;
	}
	Pk otherPk = (Pk)other;
	return (id.equals(otherPk.id));
    }

    public int hashCode() {
	return id.hashCode();
    }

    public String toString() {
	return("("+id+")");
    }
}
